# encoding: UTF-8
#
# Cookbook Name:: or_margarita
# Recipe:: margarita
#
# Copyright (C) 2013 OneHealth Solutions, Inc.
#
# All rights reserved - Do Not Redistribute
#

%w{git python-setuptools libapache2-mod-wsgi}.each do |pkg|
  package "#{pkg}" do
    action :install
  end
end

easy_install_package 'flask' do
  action :install
end

git node[:or_margarita][:workdir] do
  repository node[:or_margarita][:repo]
  reference 'master'
  action :checkout
end

%w{reposadolib preferences.plist}.each do |sym|
  link "#{node[:or_margarita][:workdir]}/#{sym}" do
    to "#{node[:or_reposado][:workdir]}/code/#{sym}"
    action :create
  end
end
